/*
 *  Configure Screen.h
 *  Asteroids
 *
 *  Created by Allen Smith on Sat Oct 26 2002.
 *
 */

#define NUMBER_ACTIONS 5


/****************************************************
 * Macros
 **************************/
//For translating key indices into english
#define THRUST(player) (playerKeys[(player)][0]) 
#define ROTATE_CCW(player) (playerKeys[(player)][1]) 
#define ROTATE_CW(player) (playerKeys[(player)][2]) 
#define FIRE(player) (playerKeys[(player)][3]) 
#define REVERSE(player) (playerKeys[(player)][4]) 
 
/****************************************************
 * Prototypes
 **************************/
extern void configureInit(void);
extern void configureDisplay(void);
extern void configurePrintTitle();
extern void configurePrintText();
extern void configurePrintButtons(MyButton *, int, GLenum, int);
extern void writeConfiguration();
extern void readConfiguration();
extern void restoreDefaults();
extern char* convertASCIItoText(int);
extern void configureHandleMouse(int, int, int, int);
extern void configureProcessHits(int, GLuint *, int);
extern void configureHandleKeyboard(unsigned char, int, int);
extern void configureHandleSpecialKeys(int, int, int);
extern void assignKey(int);